from django.contrib import admin
from .models import *
from django.apps import apps

@admin.register(Bibliography)
class BibliographyAdmin(admin.ModelAdmin):
    list_display = ('authors_list', 'title', 'journal_name', 'biblio_year', 'id_source')

for model in apps.get_app_config('ippidb').models.values():
    try:
        admin.site.register(model)
    except admin.sites.AlreadyRegistered as are:
        continue
