from django.core.management import BaseCommand
import mysql.connector
from ippidb.models import Bibliography

class Command(BaseCommand):
    help = "Import data from the local v1 database"

    def handle(self, *args, **options):
        conn = mysql.connector.connect(host="localhost",user="root",password="ippidb", database="ippidb")
        cursor = conn.cursor()
        cursor.execute("""SELECT * FROM biblio""")
        rows = cursor.fetchall()
        Bibliography.objects.all().delete()
        self.stdout.write(self.style.SUCCESS('Successfully flushed bibliography table'))
        for row in rows:
            try:
                b = Bibliography()
                b.source = 'PM'
                b.id_source = row[2]
                b.save()
            except Exception as e:
                self.stdout.write(self.style.ERROR('Failed inserting {}'.format(row[2])))
            else:
                self.stdout.write(self.style.SUCCESS('Successfully inserted {}'.format(row[2])))
